GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes
gdcm::SegmentReader Class Reference

This class defines a segment reader. It reads attributes of group 0x0062. More...

`#include <gdcmSegmentReader.h>`

Inheritance diagram for gdcm::SegmentReader:
[legend]
Collaboration diagram for gdcm::SegmentReader:
[legend]

List of all members.

## Public Types

typedef std::vector < SmartPointer< Segment > > | SegmentVector

## Public Member Functions

| SegmentReader ()
virtual | ~SegmentReader ()
const SegmentVector | GetSegments () const
SegmentVector | GetSegments ()
virtual bool | Read ()
| Read.

## Protected Types

typedef std::map< unsigned long, SmartPointer< Segment > > | SegmentMap

## Protected Member Functions

bool | ReadSegment (const Item &segmentItem, const unsigned int idx)
bool | ReadSegments ()

## Protected Attributes

SegmentMap | Segments

## Detailed Description

This class defines a segment reader. It reads attributes of group 0x0062.

See also:
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

typedef std::map< unsigned long, SmartPointer< Segment > > gdcm::SegmentReader::SegmentMap`[protected]`

typedef std::vector< SmartPointer< Segment > > gdcm::SegmentReader::SegmentVector

## Constructor & Destructor Documentation

gdcm::SegmentReader::SegmentReader | ( |  | ) |

virtual gdcm::SegmentReader::~SegmentReader | ( |  | ) | `[virtual]`

## Member Function Documentation

const SegmentVector gdcm::SegmentReader::GetSegments | ( |  | ) | const

SegmentVector gdcm::SegmentReader::GetSegments | ( |  | ) |

virtual bool gdcm::SegmentReader::Read | ( |  | ) | `[virtual]`

Read.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::SurfaceReader.

bool gdcm::SegmentReader::ReadSegment | ( | const Item & | segmentItem,
|  | const unsigned int | idx
| ) |  | `[protected]`

bool gdcm::SegmentReader::ReadSegments | ( |  | ) | `[protected]`

## Member Data Documentation

SegmentMap gdcm::SegmentReader::Segments`[protected]`

The documentation for this class was generated from the following file:

- gdcmSegmentReader.h